%define beta b4

Summary:	Overclocking tool for NVIDIA graphic boards
Name:		nvclock
Version:	0.8
Release:	%mkrel -c %{beta} 19
License:	GPLv2+
Group:		System/Kernel and hardware
URL:		http://www.linuxhardware.org/nvclock/
Source:		http://www.linuxhardware.org/nvclock/%{name}%{version}%{beta}.tar.bz2
Patch0:		%{name}0.8b4-makefile.patch
Patch1:		nvclock0.8b4-cflags.patch
Patch2:		nvclock0.8b4-gtk-link-X11.patch
BuildRequires:	gtk+2-devel
BuildRequires:	desktop-file-utils
Obsoletes:	%{name}-gtk < 0.8-0.b4.1
Obsoletes:	%{name}-qt3 < 0.8-0.b4.1
Provides:	%{name}-gtk
Provides:	%{name}-qt3

%description
This program allows you to overclock your nvidia card under linux.

%prep
%setup -q -n %{name}%{version}%{beta}
%autopatch -p1

# Fix the build with -fno-common (for Clang 11 and GCC 10)
sed -i -e '/option_list/s,^,extern ,' src/nvcontrol/nvcontrol.h

%build
autoreconf -fi
%configure \
	--enable-gtk \
	--disable-qt \
	--enable-nvcontrol

%make_build -j1

%install
%make_install

desktop-file-install \
	--add-category="HardwareSettings" \
	--dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

sed -i -e 's/^Icon=%{name}.png$/Icon=%{name}/g' %{buildroot}%{_datadir}/applications/*

%files
%doc ABOUT AUTHORS ChangeLog FAQ README
%{_bindir}/*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/*.png
%{_mandir}/man1/*


%changelog
* Sat Mar 26 2022 umeabot <umeabot> 0.8-0.b4.19.mga9
+ Revision: 1828390
- Mageia 9 Mass Rebuild

* Tue Jan 26 2021 daviddavid <daviddavid> 0.8-0.b4.18.mga8
+ Revision: 1673385
- unbreak the build with -fno-common (Clang 11, GCC 10) from freebsd
+ luigiwalser <luigiwalser>
- try to fix linking error
+ tv <tv>
- fix build

* Thu Feb 13 2020 umeabot <umeabot> 0.8-0.b4.16.mga8
+ Revision: 1515635
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.8-0.b4.15.mga7
+ Revision: 1299817
- Mageia 7 Mass Rebuild

* Sun Sep 17 2017 cjw <cjw> 0.8-0.b4.14.mga7
+ Revision: 1154886
- patch1: do not clear CFLAGS in the configure script and use them in the Makefile

* Tue Feb 16 2016 umeabot <umeabot> 0.8-0.b4.13.mga6
+ Revision: 961780
- Mageia 6 Mass Rebuild

* Sun Oct 25 2015 daviddavid <daviddavid> 0.8-0.b4.12.mga6
+ Revision: 895300
- add more docs to fix build with latest rpm

* Wed Oct 15 2014 umeabot <umeabot> 0.8-0.b4.11.mga5
+ Revision: 744615
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.8-0.b4.10.mga5
+ Revision: 682956
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.8-0.b4.9.mga4
+ Revision: 521570
- Mageia 4 Mass Rebuild

* Wed Jan 23 2013 fwang <fwang> 0.8-0.b4.8.mga3
+ Revision: 391303
- update rpm group
- update rpm group

* Sat Jan 12 2013 umeabot <umeabot> 0.8-0.b4.7.mga3
+ Revision: 361084
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 21 2012 zezinho <zezinho> 0.8-0.b4.6.mga3
+ Revision: 320022
- rebuild

* Mon Oct 17 2011 zezinho <zezinho> 0.8-0.b4.5.mga2
+ Revision: 155667
- cleanup specfile
- imported package nvclock


* Sat Apr 16 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 0.8-0.b4.4mdv2011.0
+ Revision: 653306
- rebuild

  + Oden Eriksson <oeriksson@mandriva.com>
    - the mass rebuild of 2010.0 packages

* Mon Sep 14 2009 Thierry Vignaud <tv@mandriva.org> 0.8-0.b4.2mdv2010.0
+ Revision: 440355
- rebuild

* Tue Jan 27 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.8-0.b4.1mdv2009.1
+ Revision: 334633
- update to new version 0.82-beta4
- drop qt3 subpackage
- drop patch 1
- rediff patch 0

* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 0.8-0.b3.1mdv2009.0
+ Revision: 218425
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sat Jan 05 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.8-0.b3.1mdv2008.1
+ Revision: 145770
- new license policy
- export %%qt3dir
- update to latest release (beta3)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Aug 31 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.8-0.b2.4mdv2008.0
+ Revision: 76390
- tune up desktop files

* Thu Aug 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.8-0.b2.3mdv2008.0
+ Revision: 76301
- fix build on x86_64 (P1)
- fix makefile (P0)
- move binaries to the separate subpackages, now we have gtk and qt3 frontend ;)
- use a hack for make
- provide desktop files
- fix desktop file
- some cleans
- drop old menu style
- Import nvclock



* Mon Oct 09 2006 Lenny Cartier <lenny@mandriva.com> 0.8-0.b2.1mdv2007.1
- beta2
- fix menu & xdg

* Fri Jan 20 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.8-0.b.1mdk
- New release
- spec cleanup

* Tue Aug 17 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.7-2mdk
- rebuild

* Tue Jul 29 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.7-1mdk
- 0.7

* Sun Jul  6 2003 Götz Waschk <waschk@linux-mandrake.com> 0.6.2-2mdk
- fix url (thanks to Nilmoni Deb)

* Tue Feb  4 2003 Götz Waschk <waschk@linux-mandrake.com> 0.6.2-1mdk
- new version

* Tue Jan 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.6.1-2mdk
- rebuild

* Thu Jan 23 2003 Götz Waschk <waschk@linux-mandrake.com> 0.6.1-1mdk
- new version

* Mon Nov 18 2002 Götz Waschk <waschk@linux-mandrake.com> 0.6-2mdk
- remove unpackaged but installed files
- fix URL (thanks Nilmoni Deb) 

* Mon Oct  7 2002 Götz Waschk <waschk@linux-mandrake.com> 0.6-1mdk
- fix icon
- 0.6
- gtk2

* Thu Mar 21 2002 Götz Waschk <waschk@linux-mandrake.com> 0.5-2mdk
- add menu entry

* Tue Mar 19 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.5-1mdk
- 0.5

* Wed Aug 22 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.1-1mdk
- updated to 0.4.1

* Wed Jun 06 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4-1mdk
- updated by Götz Waschk <waschk@linux-mandrake.com> :
	- 0.4
	- enable gtk gui

* Mon Apr 09 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.2-1mdk
- added in contribs by Götz Waschk <waschk@linux-mandrake.com> :
	- initial package
